Skip to content

Site Graph Query.

POST
/api/data/namespaces/{namespace}/graph/site
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/graph/site \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": { "edge": { "healthscore": { "types": [ "HEALTHSCORE_NONE" ] }, "metric": { "features": [ "TIMESERIES_FEATURE_NONE" ], "types": [ "METRIC_TYPE_NONE" ] } }, "node": { "healthscore": { "types": [ "HEALTHSCORE_NONE" ] }, "metric": { "downstream": [ "METRIC_TYPE_NONE" ], "features": [ "TIMESERIES_FEATURE_NONE" ], "upstream": [ "METRIC_TYPE_NONE" ] } } }, "group_by": [ "NONE" ], "label_filter": [ { "label": "LABEL_NONE", "op": "NOP", "value": "example" } ], "namespace": "example", "range": "example", "start_time": "example", "step": "example" }'

Request to GET inter-site traffic graph for an application.

Examples of this operation.

namespace
required
string

Namespace namespace is used to scope the application traffic to a given namespace. For system namespace, application traffic across all namespaces for the tenant will be considered.

Media typeapplication/json
Site Graph Request

Graph/site API is used to GET intra-site and inter-site graph for application traffic.

object
end_time
End time

End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
object
edge
object
healthscore
object
types
Types

Healthscore types to be returned in the response.

Array<string>
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
metric
object
features
Features

Specify list of timeseries features that should be returned for each metric type in the request.

Array<string>
Allowed values: TIMESERIES_FEATURE_NONE CONFIDENCE_INTERVAL ANOMALY_DETECTION TREND HEALTHSCORE
types
Types

Specify list of metrics that should be returned for each edge in the connectivity graph.

Array<string>
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
node
object
healthscore
object
types
Types

Healthscore types to be returned in the response.

Array<string>
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
metric
object
downstream
Downstream

Downstream refers to the service that sends requests and receives response.

Array<string>
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
features
Features

Specify list of timeseries features that should be returned for each metric type in the request.

Array<string>
Allowed values: TIMESERIES_FEATURE_NONE CONFIDENCE_INTERVAL ANOMALY_DETECTION TREND HEALTHSCORE
upstream
Upstream

Upstream refers to the service that receives requests and sends response.

Array<string>
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
group_by
Group by

Aggregate data by site. Optional: If not specified, then the data is aggregated/grouped by site.

Array<string>
Allowed values: NONE SITE
label_filter
Label Filter

List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter.

Optional: If not specified, application traffic for all sites will be returned in the response.

Array<object>
Label Filter

Metrics used to render the site graph are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.

object
label
string
default: LABEL_NONE
Allowed values: LABEL_NONE LABEL_SITE
op
string
default: NOP
Allowed values: NOP EQ NEQ
value
Value

Value of the label.

string
>= 3 characters <= 1024 characters
namespace
Namespace

Namespace is used to scope the application traffic to a given namespace. For system namespace, application traffic across all namespaces for the tenant will be considered.

string
>= 6 characters <= 1024 characters
range
Range

Range decides how far to go back in time to fetch values for each step. For example, if the range is 5m, then for step t1, query will be evaluated for t1-5m and for t2, query will be evaluated for t2-5m and so on. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Note: For non-timeseries query, i.e., for step=end_time-start_time, range should be set to end_time-start_time

Optional: If not specified, range is set to 5m.

string
<= 1024 characters
start_time
Start time

Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
Step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Site Graph Response

Response for graph/site API contains list of nodes and edges. Each node contains application traffic flowing from/to site. Each edge contains application traffic flowing from src site to dst site.

object
data
object
edges
Edges

List of edges in the site graph. Each edge contains the application traffic flowing from/to the source site and the destination site.

Array<object>
Edge Data

EdgeData wraps all the response data for an edge in the site graph response.

object
data
object
healthscore
object
data
Data

List of healthscores specified in the request.

Array<object>
Healthscore Type Data

HealthScoreTypeData contains healthscore type and the corresponding value.

object
reason
Reason

A human readable string explaining the reason in case of bad healthscore.

string
>= 27 characters <= 1024 characters
type
string
default: HEALTHSCORE_NONE
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
value
Value

Healthscore value.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
metric
object
data
Data

List of metric specified in the request for an edge.

Array<object>
Metric Data

MetricData contains the metric type and the corresponding metric value(s)

object
type
string
default: METRIC_TYPE_NONE
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
dst_id
object
site
Site

Name of the site.

string
<= 1024 characters
src_id
object
site
Site

Name of the site.

string
<= 1024 characters
nodes
Nodes

List of nodes in the site graph. Each node contains the application traffic flowing from/to the site.

Array<object>
Node Data

NodeData wraps all the response data for a node in the site graph response.

object
data
object
healthscore
object
data
Data

List of healthscores specified in the request.

Array<object>
Healthscore Type Data

HealthScoreTypeData contains healthscore type and the corresponding value.

object
reason
Reason

A human readable string explaining the reason in case of bad healthscore.

string
>= 27 characters <= 1024 characters
type
string
default: HEALTHSCORE_NONE
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
value
Value

Healthscore value.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
metric
object
downstream
Downstream

Metric data for the source site/service.

Array<object>
Metric Data

MetricData contains the metric type and the corresponding metric value(s)

object
type
string
default: METRIC_TYPE_NONE
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
upstream
Upstream

Metric data for the destination site/service.

Array<object>
Metric Data

MetricData contains the metric type and the corresponding metric value(s)

object
type
string
default: METRIC_TYPE_NONE
Allowed values: METRIC_TYPE_NONE REQUEST_RATE ERROR_RATE RESPONSE_LATENCY REQUEST_THROUGHPUT RESPONSE_THROUGHPUT ERROR_RATE_3XX ERROR_RATE_4XX ERROR_RATE_5XX RESPONSE_LATENCY_PERCENTILE_50 RESPONSE_LATENCY_PERCENTILE_90 RESPONSE_LATENCY_PERCENTILE_99 RESPONSE_DATA_TRANSFER_DURATION CLIENT_RTT SERVER_RTT SERVER_DATA_TRANSFER_TIME APP_LATENCY REQUEST_TO_ORIGIN_RATE HTTP_REQUEST_RATE HTTP_ERROR_RATE HTTP_ERROR_RATE_4XX HTTP_ERROR_RATE_5XX HTTP_RESPONSE_LATENCY HTTP_RESPONSE_LATENCY_PERCENTILE_50 HTTP_RESPONSE_LATENCY_PERCENTILE_90 HTTP_RESPONSE_LATENCY_PERCENTILE_99 HTTP_SERVER_DATA_TRANSFER_TIME HTTP_APP_LATENCY TCP_CONNECTION_RATE TCP_ERROR_RATE TCP_ERROR_RATE_CLIENT TCP_ERROR_RATE_UPSTREAM TCP_CONNECTION_DURATION RESPONSE_RATE ACTIVE_CONNECTIONS NEW_CONNECTION_RATE HTTP_INGRESS_REQUEST_RATE HTTP_EGRESS_REQUEST_RATE
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
id
object
site
Site

Name of the site.

string
<= 1024 characters
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"data": {
"edges": [
{
"data": {
"healthscore": {
"data": [
{
"type": "HEALTHSCORE_NONE",
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
},
"metric": {
"data": [
{
"type": "METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
]
}
}
}
],
"nodes": [
{
"data": {
"healthscore": {
"data": [
{
"type": "HEALTHSCORE_NONE",
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
},
"metric": {
"downstream": [
{
"type": "METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
],
"upstream": [
{
"type": "METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
]
}
}
}
]
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example